#!/usr/bin/env bash
set -euo pipefail

PROJECT_NAME=denv-template

docker run \
	--volume $(pwd)/..:/$PROJECT_NAME \
	--tty                             \
	--detach                          \
	--name vsc-$PROJECT_NAME          \
	$PROJECT_NAME

YLW='\033[1;33m'
BLU='\033[1;34m'
NC='\033[0m' # No Color

echo -e "${YLW}Now launch ${BLU}VsCode${YLW}, attach it to the ${BLU}vsc-${PROJECT_NAME}${YLW} Docker container and open ${BLU}/$PROJECT_NAME${YLW} folder as a worksapce${NC}"